Provide sensible per-language defaults for tableSorterCollation used by jquery.tablesorter
Closed, DuplicatePublic

Description

Currently the variable tableSorterCollation has to be set in MediaWiki:Common.js by every wiki, for example [[de:MediaWiki:Common.js]] and [[pl:MediaWiki:Common.js]]. MediaWiki should provide sensible, language-depended defaults for that variable instead of forcing every wiki to do so on its own.


Version: 1.24rc
Severity: enhancement

Details

Reference
bz70157
bzimport raised the priority of this task from to Low.
bzimport set Reference to bz70157.
bzimport added a subscriber: Unknown Object (MLST).
Schnark created this task.Aug 29 2014, 7:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2016, 9:57 AM
Od1n added a subscriber: Od1n.Oct 27 2017, 4:16 AM

Bump :)

Wikis shouldn't have to provide such configuration, and as more these local settings are very incomplete. What we are looking for is not per-language settings, but universal removal of diacritics ("asciification").

It should be quite easy to implement. For possible solutions see (they are basically all the same):

Change 386858 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/core@master] [WIP] tablesorter: User Intl.Collator for string sorting

https://gerrit.wikimedia.org/r/386858

TheDJ added a subscriber: TheDJ.Oct 27 2017, 2:22 PM

I've played a bit with Int.Collator. This will probably work for newer browsers and the performance should be acceptable I think. Code still needs some clean up though.

Change 386858 abandoned by TheDJ:
[WIP] tablesorter: User Intl.Collator for string sorting

https://gerrit.wikimedia.org/r/386858

The patch looked promising, what is the reason it was abandoned? (Is there some fundamental problem with it, or just the problem of not having the time to finish it? :) )

Amire80 moved this task from Untriaged to Collation on the I18n board.Mar 18 2018, 1:44 PM
He7d3r added a subscriber: He7d3r.May 27 2018, 1:56 PM